//  Copyright (C) 2016, mituhiromatuura all right reserved.

#include <kernel.h>
#include "iodefine.h"
#include "beep.h"
#include "bt.h"

#define BT_CH_BEEP		0
#define BT_PORT_BEEP	1
#define BT_FREQ_BEEP	(4000)

void beep(void)
{
	bt_rt_init(BT_CH_BEEP,	-1,	BT_PORT_BEEP,	-1,	BT_FREQ_BEEP);
	dly_tsk(50);
	bt_rt_init(BT_CH_BEEP,	-1,	-1,				-1,	BT_FREQ_BEEP);
	return;
}

void beep_long(void)
{
	bt_rt_init(BT_CH_BEEP,	-1,	BT_PORT_BEEP,	-1,	BT_FREQ_BEEP);
	dly_tsk(500);
	bt_rt_init(BT_CH_BEEP,	-1,	-1,				-1,	BT_FREQ_BEEP);
	return;
}
